Skip to content

Add a company favorite in an authorized event scope.

PUT
/api/favorites/companies/{companyId}
curl --request PUT \
--url https://api.eventpoint.io/api/favorites/companies/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '{ "topLevelEventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "personId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'

Uses the shared assigned-client and actor-binding policy described by the Favorites API.

companyId
required
string format: uuid
object
topLevelEventId
string format: uuid
personId
string format: uuid
Examplegenerated
{
"topLevelEventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"personId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

OK